Package org.springframework.security.authentication.jaas.event

# Class JaasAuthenticationFailedEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.jaas.event.JaasAuthenticationEvent
org.springframework.security.authentication.jaas.event.JaasAuthenticationFailedEvent

All Implemented Interfaces:
  `Serializable`

public class JaasAuthenticationFailedEvent extends JaasAuthenticationEvent
Fired when LoginContext.login throws a LoginException, or if any other exception is thrown during that time.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`JaasAuthenticationFailedEvent(Authentication auth, Exception exception)`

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getException()`

### Methods inherited from class org.springframework.security.authentication.jaas.event.JaasAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaasAuthenticationFailedEvent

public JaasAuthenticationFailedEvent(Authentication auth, Exception exception)

## Method Details

### getException

public Exception getException()